extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "mk:kenshi_layer1",
    "layer2": "mk:kenshi_layer2",
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "body", "scale": 0.535, "offset": [-5.03, 1.28, 2.43], "rotation": [-150.0, 90.0, 0.0] }
    ]);
    utils.bindCloud(renderer, "fiskheroes:telekinesis", "fiskheroes:telekinesis_monitor");
}


